import request from "@/utils/request";

// 查询申领单
export function getAppyOrdPage(data) {
    return request({
        url: "/web/stroom/stoout/getAppyOrdPage",
        method: "post",
        data
    });
}

// 查询申领单详情
export function getAppyOrdDetl(data) {
    return request({
        url: "/web/stroom/stoout/getAppyOrdDetl",
        method: "post",
        data
    });
}

// 查询药品批号
export function getAppyOrdDetlInvRt(data) {
    return request({
        url: "/web/stroom/stoout/getAppyOrdDetlInvRt",
        method: "post",
        data
    });
}

// 申领单出库
export function appyOrdStoout(data) {
    return request({
        url: "/web/stroom/stoout/appyOrdStoout",
        method: "post",
        data
    });
}

// 手动出库-提交
export function handStoout(data) {
    return request({
        url: "/web/stroom/stoout/handStoout",
        method: "post",
        data
    });
}

// 手动出库-添加药品
export function getDrugList(data) {
    return request({
        url: "/web/stroom/stoout/getDrugList",
        method: "post",
        data
    });
}

// 手动出库-添加药品-确认
export function getDrugInvRtList(data) {
    return request({
        url: "/web/stroom/stoout/getDrugInvRtList",
        method: "post",
        data
    });
}
